import { EventEmitter } from '@angular/core';
import { Node } from '../workflow-designer.types';
import { WorkflowStage } from '../../../models/WorkflowStage';
import { WorkflowDesignerState } from '../workflow-designer.state';
import { WorkflowDataService } from '../workflow-data.service';
import { Form } from '../../../models/Form';
import * as i0 from "@angular/core";
export declare class StageNodeComponent {
    private state;
    private dataService;
    node: Node;
    isStartNode: boolean;
    stageData: Partial<WorkflowStage>;
    stagePropertiesUpdated: EventEmitter<{
        nodeId: string;
        stageData: Partial<WorkflowStage>;
    }>;
    parallelExecutionToggled: EventEmitter<{
        sourceNodeId: string;
        isParallel: boolean;
    }>;
    showShieldDialog: EventEmitter<string>;
    showFormPopup: boolean;
    showTimerPopup: boolean;
    showActionPopupLeft: boolean;
    showActionPopupRight: boolean;
    showCodePopup: boolean;
    formsList: Form[];
    isLoadingForms: boolean;
    formPopupX: number;
    formPopupY: number;
    constructor(state: WorkflowDesignerState, dataService: WorkflowDataService);
    ngOnInit(): void;
    updateConnectedStagesInfo(): void;
    get hasMultipleConnectedStages(): boolean;
    get isParallelExecution(): boolean;
    selectForm(form: Form | null): void;
    toggleFormPopup(event?: MouseEvent): void;
    toggleShieldPopup(event?: MouseEvent): void;
    toggleTimerPopup(event?: MouseEvent): void;
    toggleActionPopup(side: 'left' | 'right', event?: MouseEvent): void;
    toggleCodePopup(event?: MouseEvent): void;
    refreshState(): void;
    onStagePropertiesSaved(stageData: Partial<WorkflowStage>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StageNodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StageNodeComponent, "svg:g[lib-stage-node]", never, { "node": { "alias": "node"; "required": false; }; "isStartNode": { "alias": "isStartNode"; "required": false; }; "stageData": { "alias": "stageData"; "required": false; }; }, { "stagePropertiesUpdated": "stagePropertiesUpdated"; "parallelExecutionToggled": "parallelExecutionToggled"; "showShieldDialog": "showShieldDialog"; }, never, never, false, never>;
}
